import { Component, OnInit, HostListener } from '@angular/core';

@Component({
  selector: 'app-magnetic-recycling-queen',
  templateUrl: './magnetic-recycling-queen.component.html',
  styleUrls: ['./magnetic-recycling-queen.component.css']
})
export class MagneticRecyclingQueenComponent implements OnInit {

  public innerHeight: any;
  public innerWidth: any;
  
  ngOnInit() {
    this.innerHeight = window.innerHeight;
    this.innerWidth = window.innerWidth;
  }
  constructor() { }

  @HostListener('window:resize', ['$event'])
  onResize(event) {
    this.innerHeight = window.innerHeight;
    this.innerWidth = window.innerWidth;
  }
}
